<?php
session_start();

// Check if a username is submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['username'])) {
    $new_username = htmlspecialchars($_POST['username']);

    // If a session exists and the username is different, reset the session
    if (isset($_SESSION['username'])) {
        session_unset();
        session_destroy();
        session_start();
    }

    $_SESSION['username'] = $new_username;

    header('Location: trivia_game.php');
    exit;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Smarty Pants Showdown</title>
    <link rel="stylesheet" href="style.css">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Anton+SC&display=swap" rel="stylesheet">
    <link rel="icon" type="image/x-icon" href="/images/favicon.png">
</head>
<body>
<form method="post" action="leaderboard.php">
    <button type="submit" class="rounded-button sticky"><img src="/images/trophy.png" class="icon"></button>
</form>
<div class="spacer"></div>
<div class="center"><img src="/images/logo.png" class="homeLogo"></div>
<div class="centeredContainer">
<h1 class="center">Welcome to Smarty Pants Showdown</h1>

<div class="spacer"></div>
<form method="post" class="center">
   <label for="username" class="buttonLabel">What's your name?</label><br>
    <input type="text" id="username" name="username" class="styled-input" placeholder="username" required>
    <button type="submit" class="rounded-button">Start Game</button>
</form>
<div class="spacer"></div>
<h2 class="center">How to Play</h2>
<div class="centeredText">
<p class="text-container"> Welcome to Smarty Pants Showdown! Test your trivia <br> knowledge,
    race against the clock, and climb the leaderboard.<br> <br> Answer as many trivia questions
    correctly as you can <br> before time runs out! Compete for a spot on the leaderboard<br>
    and leave a victory message if you make the top three.

</p>
</div>
</div>
</body>
</html>
